<?xml version="1.0" encoding="UTF-8"?>
<drawing version="7">
    <attr value="spartan6" name="DeviceFamilyName">
        <trait delete="all:0" />
        <trait editname="all:0" />
        <trait edittrait="all:0" />
    </attr>
    <netlist>
        <signal name="XLXN_76(7:0)" />
        <signal name="gpsTxd" />
        <signal name="XLXN_99" />
        <signal name="rst" />
        <signal name="clk" />
        <signal name="gpsPps" />
        <signal name="XLXN_128" />
        <signal name="data(7:0)" />
        <signal name="newData" />
        <signal name="addr(15:0)" />
        <signal name="hit(3:0)" />
        <signal name="XLXN_141(7:0)" />
        <signal name="XLXN_142(7:0)" />
        <port polarity="Input" name="gpsTxd" />
        <port polarity="Input" name="rst" />
        <port polarity="Input" name="clk" />
        <port polarity="Input" name="gpsPps" />
        <port polarity="Output" name="data(7:0)" />
        <port polarity="Output" name="newData" />
        <port polarity="Input" name="addr(15:0)" />
        <port polarity="Input" name="hit(3:0)" />
        <blockdef name="AsyncSerialRX">
            <timestamp>2012-8-7T13:23:42</timestamp>
            <rect width="256" x="64" y="-192" height="192" />
            <line x2="0" y1="-160" y2="-160" x1="64" />
            <line x2="0" y1="-96" y2="-96" x1="64" />
            <line x2="0" y1="-32" y2="-32" x1="64" />
            <line x2="384" y1="-160" y2="-160" x1="320" />
            <rect width="64" x="320" y="-108" height="24" />
            <line x2="384" y1="-96" y2="-96" x1="320" />
        </blockdef>
        <blockdef name="NMEA183Decode">
            <timestamp>2012-8-7T15:15:2</timestamp>
            <rect width="336" x="64" y="-256" height="256" />
            <line x2="0" y1="-224" y2="-224" x1="64" />
            <line x2="0" y1="-96" y2="-96" x1="64" />
            <line x2="0" y1="-32" y2="-32" x1="64" />
            <rect width="64" x="0" y="-172" height="24" />
            <line x2="0" y1="-160" y2="-160" x1="64" />
            <rect width="64" x="400" y="-172" height="24" />
            <line x2="464" y1="-160" y2="-160" x1="400" />
            <rect width="64" x="400" y="-108" height="24" />
            <line x2="400" y1="-96" y2="-96" x1="464" />
            <line x2="464" y1="-224" y2="-224" x1="400" />
        </blockdef>
        <blockdef name="GPSTime">
            <timestamp>2012-8-7T15:16:0</timestamp>
            <rect width="384" x="64" y="-384" height="384" />
            <line x2="0" y1="-352" y2="-352" x1="64" />
            <rect width="64" x="0" y="-300" height="24" />
            <line x2="0" y1="-288" y2="-288" x1="64" />
            <rect width="64" x="0" y="-236" height="24" />
            <line x2="64" y1="-224" y2="-224" x1="0" />
            <line x2="512" y1="-352" y2="-352" x1="448" />
            <rect width="64" x="448" y="-300" height="24" />
            <line x2="512" y1="-288" y2="-288" x1="448" />
            <rect width="64" x="448" y="-236" height="24" />
            <line x2="448" y1="-224" y2="-224" x1="512" />
            <rect width="64" x="448" y="-172" height="24" />
            <line x2="448" y1="-160" y2="-160" x1="512" />
            <line x2="0" y1="-32" y2="-32" x1="64" />
            <line x2="0" y1="-96" y2="-96" x1="64" />
            <line x2="0" y1="-160" y2="-160" x1="64" />
        </blockdef>
        <block symbolname="AsyncSerialRX" name="GPS_SERIAL_RX">
            <attr value="9600" name="BaudRate">
                <trait vhdl="all:0 gm:1" />
                <trait valuetype="Integer 0 2147483647" />
            </attr>
            <blockpin signalname="gpsTxd" name="serialIn" />
            <blockpin signalname="clk" name="clk" />
            <blockpin signalname="rst" name="rst" />
            <blockpin signalname="XLXN_99" name="newData" />
            <blockpin signalname="XLXN_76(7:0)" name="dataOut(7:0)" />
        </block>
        <block symbolname="GPSTime" name="GPS_TIME">
            <blockpin signalname="XLXN_128" name="nmeaMsgValid" />
            <blockpin signalname="XLXN_141(7:0)" name="nmeaMsgData(7:0)" />
            <blockpin signalname="XLXN_142(7:0)" name="nmeaMsgAddr(7:0)" />
            <blockpin signalname="newData" name="newData" />
            <blockpin signalname="data(7:0)" name="data(7:0)" />
            <blockpin signalname="addr(15:0)" name="addr(15:0)" />
            <blockpin signalname="hit(3:0)" name="hit(3:0)" />
            <blockpin signalname="gpsPps" name="PPS" />
            <blockpin signalname="rst" name="clk" />
            <blockpin signalname="clk" name="rst" />
        </block>
        <block symbolname="NMEA183Decode" name="GPS_DECODE">
            <blockpin signalname="XLXN_99" name="dataReady" />
            <blockpin signalname="clk" name="clk" />
            <blockpin signalname="rst" name="rst" />
            <blockpin signalname="XLXN_76(7:0)" name="data(7:0)" />
            <blockpin signalname="XLXN_141(7:0)" name="msgData(7:0)" />
            <blockpin signalname="XLXN_142(7:0)" name="msgAddr(7:0)" />
            <blockpin signalname="XLXN_128" name="msgValid" />
        </block>
    </netlist>
    <sheet sheetnum="1" width="3520" height="2720">
        <branch name="gpsTxd">
            <wire x2="528" y1="1120" y2="1120" x1="288" />
        </branch>
        <branch name="XLXN_99">
            <wire x2="1280" y1="1120" y2="1120" x1="912" />
        </branch>
        <iomarker fontsize="28" x="288" y="1120" name="gpsTxd" orien="R180" />
        <instance x="528" y="1280" name="GPS_SERIAL_RX" orien="R0">
        </instance>
        <branch name="XLXN_128">
            <wire x2="2240" y1="1120" y2="1120" x1="1744" />
        </branch>
        <iomarker fontsize="28" x="288" y="928" name="clk" orien="R180" />
        <iomarker fontsize="28" x="288" y="992" name="rst" orien="R180" />
        <branch name="XLXN_76(7:0)">
            <wire x2="1280" y1="1184" y2="1184" x1="912" />
        </branch>
        <instance x="1280" y="1344" name="GPS_DECODE" orien="R0">
        </instance>
        <branch name="data(7:0)">
            <wire x2="3120" y1="1184" y2="1184" x1="2752" />
        </branch>
        <branch name="newData">
            <wire x2="3120" y1="1120" y2="1120" x1="2752" />
        </branch>
        <branch name="addr(15:0)">
            <wire x2="3120" y1="1248" y2="1248" x1="2752" />
        </branch>
        <branch name="hit(3:0)">
            <wire x2="3120" y1="1312" y2="1312" x1="2752" />
        </branch>
        <iomarker fontsize="28" x="3120" y="1120" name="newData" orien="R0" />
        <iomarker fontsize="28" x="3120" y="1184" name="data(7:0)" orien="R0" />
        <iomarker fontsize="28" x="3120" y="1248" name="addr(15:0)" orien="R0" />
        <iomarker fontsize="28" x="3120" y="1312" name="hit(3:0)" orien="R0" />
        <instance x="2240" y="1472" name="GPS_TIME" orien="R0">
        </instance>
        <branch name="XLXN_141(7:0)">
            <wire x2="2240" y1="1184" y2="1184" x1="1744" />
        </branch>
        <branch name="XLXN_142(7:0)">
            <wire x2="2240" y1="1248" y2="1248" x1="1744" />
        </branch>
        <iomarker fontsize="28" x="288" y="1440" name="gpsPps" orien="R180" />
        <branch name="rst">
            <wire x2="480" y1="992" y2="992" x1="288" />
            <wire x2="480" y1="992" y2="1248" x1="480" />
            <wire x2="528" y1="1248" y2="1248" x1="480" />
            <wire x2="1232" y1="992" y2="992" x1="480" />
            <wire x2="1232" y1="992" y2="1312" x1="1232" />
            <wire x2="1280" y1="1312" y2="1312" x1="1232" />
            <wire x2="2144" y1="992" y2="992" x1="1232" />
            <wire x2="2144" y1="992" y2="1376" x1="2144" />
            <wire x2="2240" y1="1376" y2="1376" x1="2144" />
        </branch>
        <branch name="clk">
            <wire x2="416" y1="928" y2="928" x1="288" />
            <wire x2="416" y1="928" y2="1184" x1="416" />
            <wire x2="528" y1="1184" y2="1184" x1="416" />
            <wire x2="1168" y1="928" y2="928" x1="416" />
            <wire x2="1168" y1="928" y2="1248" x1="1168" />
            <wire x2="1280" y1="1248" y2="1248" x1="1168" />
            <wire x2="2080" y1="928" y2="928" x1="1168" />
            <wire x2="2080" y1="928" y2="1312" x1="2080" />
            <wire x2="2096" y1="1312" y2="1312" x1="2080" />
            <wire x2="2240" y1="1312" y2="1312" x1="2096" />
        </branch>
        <branch name="gpsPps">
            <wire x2="2240" y1="1440" y2="1440" x1="288" />
        </branch>
    </sheet>
</drawing>