--
-- VHDL Architecture Cosmic0_lib.HitLogic.Simple
--
-- Created:
--          by - goodrick.UNKNOWN (PCEQ)
--          at - 13:41:11 21/06/2004
--
-- using Mentor Graphics HDL Designer(TM) 2003.2 (Build 28)
--
LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

ENTITY LFSReg IS
   PORT( 
      CK   : IN     std_logic;
      Rst  : IN     std_logic;
      Outz : OUT    std_logic_vector (34 DOWNTO 0)
   );

-- Declarations

END LFSReg ;

--
ARCHITECTURE Simple OF LFSReg IS
   -- signal H,H0,H1,H2, M,PulsL,PulsLL : std_logic ;
   signal SerialReg: std_logic_vector (34 downto 0) ;

BEGIN
   Outz <= SerialReg      ;
   --   
   process (CK,Rst)
   begin
      if(Rst = '1') then
         SerialReg <= "00000000000000000000000000000000001";
      elsif ( rising_edge(CK)) then
            SerialReg <= SerialReg(33 DOWNTO 0) & (SerialReg(34) xor SerialReg(32)) ;
      end if;
    end process;
   --
END Simple;

